package io.zipcoder.polymorphism;
import org.junit.Assert;
import org.junit.Test;

import java.util.HashMap;

/**
 * Created by leon on 11/6/17.
 */
public class MainApplicationTest {

    @Test
    public void CatSpeakTest(){
        //Given
        Cat Cat1 = new Cat();
        Cat1.setName("Mewey-Mittons");
        String expected = "Meow";

        //when
        String actual = Cat1.speak();

        //Then
        Assert.assertEquals(expected, actual);

    }

    @Test
    public void DogSpeakTest(){

        //Given
        Dog Dog1 = new Dog();
        Dog1.setName("Jonah");
        String expected = "Bow-Wow";

        //when
        String actual = Dog1.speak();

        //Then
        Assert.assertEquals(expected, actual);

    }

    @Test
    public void RockSpeakTest(){

        //Given
        Rock Rock1 = new Rock();
        Rock1.setName("Rocky");
        String expected = "*silence*";

        //when
        String actual = Rock1.speak();

        //Then
        Assert.assertEquals(expected, actual);

    }

}
